Bug 1877378 (CVE-2020-25601) - CVE-2020-25601 xen: lack of preemption in evtchn_reset() / evtchn_destroy() (XSA-344)
Summary: CVE-2020-25601 xen: lack of preemption in evtchn_reset() / evtchn_destroy() (...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2020-25601
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1881586
Blocks: 1877386
TreeView+ depends on / blocked
 
Reported: 2020-09-09 13:46 UTC by Guilherme de Almeida Suckevicz
Modified: 2021-02-16 19:17 UTC (History)
25 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A security flaw was found in Xen. A lack of preemption in the FIFO event channel model may cause the CPU to spend an almost unbounded amount of processing time. This flaw allows malicious or buggy guest kernels to mount a denial of service (DoS) attack affecting the entire system. The highest threat from this vulnerability is to system availability.
Clone Of:
Environment:
Last Closed: 2020-09-22 20:41:12 UTC


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2020-09-09 13:46:01 UTC
In particular the FIFO event channel model allows guests to have a large number of event channels active at a time. Closing all of these when resetting all event channels or when cleaning up after the guest may take extended periods of time. So far there was no arrangement for preemption at suitable intervals, allowing a CPU to spend an almost unbounded amount of time in the processing of these operations.

Comment 1 Guilherme de Almeida Suckevicz 2020-09-09 13:46:07 UTC
Acknowledgments:

Name: the Xen project

Comment 2 Mauro Matteo Cascella 2020-09-15 15:53:55 UTC
Statement:

This flaw has been rated as having a security impact of Moderate, and is not currently planned to be addressed in future updates of Red Hat Enterprise Linux 5. Red Hat Enterprise Linux 5 is now in Extended Life Phase of the support and maintenance life cycle. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

Comment 3 Mauro Matteo Cascella 2020-09-15 15:54:00 UTC
Mitigation:

This issue can be avoided by reducing the number of event channels available to all guests to a suitably low limit. For example, setting "max_event_channels=256" in the xl domain configurations may be low enough for all hardware Xen is able to run on.

Comment 4 Mauro Matteo Cascella 2020-09-22 17:54:27 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1881586]

Comment 5 Product Security DevOps Team 2020-09-22 20:41:12 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-25601

Comment 6 Mauro Matteo Cascella 2020-09-23 07:34:29 UTC
External References:

https://xenbits.xen.org/xsa/advisory-344.html


Note You need to log in before you can comment on or make changes to this bug.